package com.banctec.caseware.server.actionpersister;

public class ActionPersisterPK implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4023504507995049742L;
	/**
	 * The PK
	 */
    public Long id;

	/**
	 * required by the spec
	 */
    public ActionPersisterPK()
    {
    }
	/**
	 * constructor
	 * @param anId Long
	 */
    public ActionPersisterPK( Long anId)
    {
        this.id = anId;
    }
	/**
	 * set
	 * @param anId Long
	 */
    public void setId( Long anId)
    {
        this.id = anId;
    }
	/**
	 * get
	 * @return Long
	 */
    public Long getId()
    {
        return id;
    }

    /**
     * Returns the hashCode representation
     * @return int
     */
    public int hashCode()
    {
		return id.hashCode();
    }



    /**
     * Tests for equality with the parameter
     * @param obj Object to compare with
     * @return true if the passed in object is equal to this object
     */
    public boolean equals(Object obj)
    {
        if (obj instanceof ActionPersisterPK)
		{
		    return ( id.equals(
	                      ( (ActionPersisterPK) obj).id));
		}
		return false;
    }
}
